PINENTRY-CURSES(1)

NAME
pinentry-tty - PIN or pass-phrase entry dialog for GnuPG

SYNOPSIS
pinentry-tty [OPTION...]

DESCRIPTION
pinentry-tty is a program that allows for secure entry of PINs or pass phrases. That means it tries to take care that the entered information is not swapped to disk or temporarily stored anywhere. This functionality is particularly useful for entering pass phrases when using encryption software such as GnuPG or e-mail clients using the same. It uses an open protocol and is therefore not tied to particular software.

pinentry-tty implements a PIN entry prompt directly on the controlling tty. It has minimal dependencies, and a comparably minimal feature set. It is useful for users working with dumb terminals and other similarly constrained environments. There are other pinentry flavors that implement more user-friendly PIN entry dialogs, either in text mode with the curses toolkit, or using graphical X11 toolkits. Please use one of the other flavors unless you know what you are doing.

pinentry-tty is typically used internally by gpg-agent. Users don't normally have a reason to call it directly.

OPTIONS

--version
    Print the program version and licensing information.

--help
    Print a usage message summarizing the most useful command-line options.

--debug, -d
    Turn on some debugging. Mostly useful for the maintainers. Note that this may reveal sensitive information like the entered pass phrase.

--enhanced, -e
    Ask for timeouts and insurance, too. Note that this is currently not fully supported.

--no-global-grab, -g
    Grab the keyboard only when the window is focused. Use this option if you are debugging software using pinentry-tty; otherwise you may not be able to to access your X session anymore (unless you have other means to connect to the machine to kill pinentry-tty).

--parent-wid N
    Use window ID N as the parent window for positioning the window. Note, that this is not fully supported by all flavors of pinentry.

--display STRING, --ttyname STRING, --ttytype STRING, --lc-ctype STRING, --lc-messages STRING
    These options are used to pass localization information to pinentry-tty. They are required because pinentry-tty is usually called by some background process which does not have any information on the locale and terminal to use. Assuan protocol options are an alternative way to pass these information.

SEE ALSO
pinentry-gtk-2(1), pinentry-qt(1), pinentry-fltk(1), pinentry-gnome3(1), pinentry-curses(1), gpg(1), gpg-agent(1)

The full documentation for pinentry-tty is maintained as a Texinfo manual. If the pinentry-doc package is installed, the command

    info pinentry

should give you access to the complete manual.

AUTHOR
This manual page was written by Daniel Kahn Gillmor for the Debian project, derived from other pinentry manual pages written by Peter Eisentraut.